module Orator
  module Generators
    class OratorGenerator < Rails::Generators::Base

      source_root File.expand_path('../../templates', __FILE__)
      argument :orator_name, :required => true,
        :desc => "The name of the orator to generate."

      def copy_configuration
        template "template_orator.rb", "app/orators/#{orator_name}_orator.rb"
      end

    end
  end
end
