# A websocket server.

require 'oj'
require 'set'
require 'em-websocket'

require 'orator/base'
require 'orator/server'
require 'orator/client'
require 'orator/version'
require 'orator/open_struct'
require 'orator/event_handler'
require 'orator/middle_ground'

require 'orator/engine' if defined?(Rails)

module Orator

  class << self; attr_accessor :debug; end
  Orator.debug = false

  def self.add_orator(*args, &block)
    Orator::CLI.add_orator(*args, &block)
  end

end
